Bug 54008 - crash when un-archiving bz2 files
crash when un-archiving bz2 files
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-09-25 09:40 EDT by Ian Beard
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-28 05:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Beard 2001-09-25 09:40:57 EDT
Description of Problem:
download insight debugger, un-archive (right click) - BANG

Version-Release number of selected component (if applicable):
kde 2.1 explorer

How Reproducible:
un-archive bz2 file

Steps to Reproduce:
1. download bz2 file
2. right click in file manager
3. un-archive

Actual Results:
reduces linux to rubble - scrambles entire disk system

Expected Results:
un-archived files

Additional Information:
Seriously un-impresses
Comment 1 Trond Eivind Glomsrxd 2001-09-25 11:32:51 EDT
That would be a KDE problem, not a bzip2 problem.
Comment 2 Bernhard Rosenkraenzer 2001-11-27 11:41:29 EST
I can't reproduce this.
What do you mean by "scrambles entire disk system"?
If it's filesystem corruption, chances are your kernel is doing something odd.
Comment 3 Ian Beard 2001-11-28 05:26:34 EST
Basically, I had to re-install Red Hat. System would not re-boot. Seemed to me 
a file descriptor may have decided to go walkabout and went into the system 
file space. I did this twice, the second time by mistake. Debugging on Linux a 
big joke, so have decided to do my Unix work on Solaris anyway, so have no 
problem anymore. But thanks for letting me know someone was going to look into 
it, kinda unexpected.
Comment 4 Bernhard Rosenkraenzer 2001-11-28 05:45:38 EST
This sounds like a kernel problem. Please give some details on your hardware 
and configuration, in particular:
IDE or SCSI controller type
Filesystem used

Note You need to log in before you can comment on or make changes to this bug.